DEMO
===========================

###########环境依赖
Mixly0.999Beta_WIN

###########安装步骤
1. 解压ruilong库安装包

2. 打开Mixly软件，导入库，选择ruilong库文件的ruilong.xml

3. 提示导入自定义库成功！

###########目录结构描述
├── Readme.md                   // help
├── block                       // 块编写
├── generator                   // 代码生成
├── media                       // 图片
│   └ruilong
├── ruilong                     // 部分传感器以及模块头文件

###########支持的传感器目录
├── 数字传感器：按钮传感器、磁敏传感器、震动传感器、单向倾角传感器、
├──             触摸传感器、碰撞传感器、红外测障传感器、温湿度传感器、
├──             超声波传感器、热释电传感器、自锁按钮传感器、温度传感器(DS18B20)、
├──             MPR121触摸传感器、GP2Y1026粉尘传感器
├── 模拟传感器：电阻侦测传感器、温度传感器(LM35)、热敏传感器、声音传感器、
├──             土壤湿度传感器、水滴传感器、寻迹传感器、旋钮传感器、
├── 			滑杆传感器、摇杆传感器、光线传感器、5按键传感器、
├── 			mini摇杆传感器、浊度传感器、气体传感器、火焰传感器
├── 执行器：闪灯模块、LED灯模块、交通灯模块、蜂鸣器模块、
├──         扬声器模块、继电器模块、震动马达模块、马达风扇模块、
├──         USB电源控制模块、语音模块（68段日常用语）、MP3模块（U盘模块）、MIDI模块、键盘鼠标
├── 显示器与灯光：1602液晶显示器、四位数码管显示器(TM1650)、时钟数码管显示器(TM1637)、RGB彩灯模块、
├──               5*5彩灯模组(WS2812)、5灯彩灯灯条(WS2812)、
├──               8*8单色点阵模块(HT16K33)、8*16单色点阵模块(HT16K33)
├── 电机驱动器：L293驱动器、8833驱动器
├── 机器人：寻迹传感器、声音传感器、按钮传感器、超声波测距传感器、
├──         四位数码管显示器(TM1650)、8833驱动器、无源蜂鸣器、
├──         RGB彩灯模块、红外接收传感器、蓝色闪灯

###########V1.0.0 版本内容更新
V1.0.0 正式发布   20190308
V1.0.1 更新点阵、RGB灯条、PM2.5粉尘传感器等   20190425
V1.0.7 更新MP3模块（U盘模块）、MIDI模块、键盘鼠标等   20200828
V1.0.8 删除重复代码，删除图片等   20200828
V1.0.9 修改16K33点阵库，增加绘制直线、绘制矩形、圆角矩形、三角形等功能   20201125
V1.2.3 增加语音识别、语音合成、指纹识别、数字光照等功能  20241018