#ifndef DFCK_FSFX_H
#define DFCK_FSFX_H

#include <Arduino.h>
#include <SoftwareSerial.h>





class FSFX : public SoftwareSerial {
    public:

        FSFX(short rxPin, short txPin) :  SoftwareSerial(rxPin,txPin) { };
        float readfs();
        int readfs_level();
        float readfx();
        bool readfx_dir(int dir);

      
    private:

        byte fs_request[8] = {0x01, 0x03, 0x00, 0x00, 0x00, 0x01, 0x84, 0x0A};//风速  0X01 对应指令
        byte fx_request[8] = {0x02, 0x03, 0x00, 0x00, 0x00, 0x02, 0xc4, 0x38};//风向  0X02 对应指令
        byte fs_buf[7];
        byte fx_buf[9];

};


#endif
