
#ifndef RL_SNR9816TTS_H
#define RL_SNR9816TTS_H

#include <Arduino.h>
#include <SoftwareSerial.h>
#include "UTF8ToGB2312.h"

class TTS: public SoftwareSerial {
public:
    TTS(int rxPin, int txPin):  SoftwareSerial(rxPin,txPin) { };
    //void begin(long baudRate);
    void speak(const char *data);
    void setTTSParameters(char parameter, int value);
    int checkWorkState();

    void pause();
    void continues();
    void stop();
    
private:
    U2GB u2gb;
    void sendData(const char *data);
    unsigned char calculateXOR(const unsigned char *data, int length);
};

#endif
