
#include "RL_VK36N16I.h"

VK36N16I_TOUCH::VK36N16I_TOUCH(uint8_t address)
{
  _address    = address;

}

bool VK36N16I_TOUCH::begin()
{
  Wire.begin();
}

VK36N16I_TOUCH::TouchInput VK36N16I_TOUCH::touchReadAll(void)
{
  unsigned char temp[2];
   Wire.requestFrom(VK36N16I_ADD, 2);    // request 6 bytes from slave device #8
  for(unsigned char i = 0;  Wire.available() > 0; i++)
  {
    temp[i] = Wire.read();
  }   
  if((temp[0]>0)|(temp[1]>0)){
    
  touchinput.key_1 = ((temp[0] & bit(0))>0)?HIGH:LOW;
  touchinput.key_4 = ((temp[0] & bit(1))>0)?HIGH:LOW;
  touchinput.key_7 = ((temp[0] & bit(2))>0)?HIGH:LOW;
  touchinput.key_x = ((temp[0] & bit(3))>0)?HIGH:LOW;
  touchinput.key_2 = ((temp[0] & bit(4))>0)?HIGH:LOW;
  touchinput.key_5 = ((temp[0] & bit(5))>0)?HIGH:LOW;
  touchinput.key_8 = ((temp[0] & bit(6))>0)?HIGH:LOW;
  touchinput.key_0 = ((temp[0] & bit(7))>0)?HIGH:LOW;

  touchinput.key_3 = ((temp[1] & bit(0))>0)?HIGH:LOW;
  touchinput.key_6 = ((temp[1] & bit(1))>0)?HIGH:LOW;
  touchinput.key_9 = ((temp[1] & bit(2))>0)?HIGH:LOW;
  touchinput.key_j = ((temp[1] & bit(3))>0)?HIGH:LOW;
  touchinput.key_A = ((temp[1] & bit(4))>0)?HIGH:LOW;
  touchinput.key_B = ((temp[1] & bit(5))>0)?HIGH:LOW;
  touchinput.key_C = ((temp[1] & bit(6))>0)?HIGH:LOW;
  touchinput.key_D = ((temp[1] & bit(7))>0)?HIGH:LOW;

  }
   return touchinput;
}

uint8_t VK36N16I_TOUCH::touchRead(uint8_t key)
{
  //VK36N16I_TOUCH::TouchInput  ti=touch.touchReadAll();
    unsigned char temp[2];
   Wire.requestFrom(VK36N16I_ADD, 2);    // request 6 bytes from slave device #8
  for(unsigned char i = 0;  Wire.available() > 0; i++)
  {
    temp[i] = Wire.read();
  }   

  if(key<8){
  return ((temp[0] & bit(key))>0)?HIGH:LOW;
  }
  else {
   return ((temp[0] & bit(key-8))>0)?HIGH:LOW;
  }
}
